com.impinj.stp

## Class StpApi.AntennasConfig

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.AntennasConfig

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.AntennasConfigOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.AntennasConfig
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.AntennasConfigOrBuilder

  Protobuf type `Impinj.STP.AntennasConfig` A list of antenna configurations.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.AntennasConfig.Builder` Protobuf type `Impinj.STP.AntennasConfig` A list of antenna configurations.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANTENNA_CONFIG_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.AntennasConfig>` | `PARSER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.AntennaConfig` | `getAntennaConfig(int index)` The device will cycle through the configurations in the order in which they appear in the list.
    `int` | `getAntennaConfigCount()` The device will cycle through the configurations in the order in which they appear in the list.
    `java.util.List<StpApi.AntennaConfig>` | `getAntennaConfigList()` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennaConfigOrBuilder` | `getAntennaConfigOrBuilder(int index)` The device will cycle through the configurations in the order in which they appear in the list.
    `java.util.List<? extends StpApi.AntennaConfigOrBuilder>` | `getAntennaConfigOrBuilderList()` The device will cycle through the configurations in the order in which they appear in the list.
    `static StpApi.AntennasConfig` | `getDefaultInstance()`
    `StpApi.AntennasConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Parser<StpApi.AntennasConfig>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.AntennasConfig.Builder` | `newBuilder()`
    `static StpApi.AntennasConfig.Builder` | `newBuilder(StpApi.AntennasConfig prototype)`
    `StpApi.AntennasConfig.Builder` | `newBuilderForType()`
    `protected StpApi.AntennasConfig.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.AntennasConfig` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.AntennasConfig` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.AntennasConfig` | `parseFrom(byte[] data)`
    `static StpApi.AntennasConfig` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.AntennasConfig` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.AntennasConfig` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.AntennasConfig` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.AntennasConfig` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.AntennasConfig` | `parseFrom(java.io.InputStream input)`
    `static StpApi.AntennasConfig` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.AntennasConfig.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.AntennasConfig> PARSER

    - #### ANTENNA_CONFIG_FIELD_NUMBER

          public static final int ANTENNA_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.AntennasConfig getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.AntennasConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.AntennasConfig> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getAntennaConfigList

          public java.util.List<StpApi.AntennaConfig> getAntennaConfigList()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfigList` in interface `StpApi.AntennasConfigOrBuilder`

    - #### getAntennaConfigOrBuilderList

          public java.util.List<? extends StpApi.AntennaConfigOrBuilder> getAntennaConfigOrBuilderList()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfigOrBuilderList` in interface `StpApi.AntennasConfigOrBuilder`

    - #### getAntennaConfigCount

          public int getAntennaConfigCount()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfigCount` in interface `StpApi.AntennasConfigOrBuilder`

    - #### getAntennaConfig

          public StpApi.AntennaConfig getAntennaConfig(int index)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfig` in interface `StpApi.AntennasConfigOrBuilder`

    - #### getAntennaConfigOrBuilder

          public StpApi.AntennaConfigOrBuilder getAntennaConfigOrBuilder(int index)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfigOrBuilder` in interface `StpApi.AntennasConfigOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.AntennasConfig parseFrom(com.google.protobuf.ByteString data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.AntennasConfig parseFrom(com.google.protobuf.ByteString data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.AntennasConfig parseFrom(byte[] data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.AntennasConfig parseFrom(byte[] data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.AntennasConfig parseFrom(java.io.InputStream input)
                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.AntennasConfig parseFrom(java.io.InputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.AntennasConfig parseDelimitedFrom(java.io.InputStream input)
                                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.AntennasConfig parseDelimitedFrom(java.io.InputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.AntennasConfig parseFrom(com.google.protobuf.CodedInputStream input)
                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.AntennasConfig parseFrom(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.AntennasConfig.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.AntennasConfig.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.AntennasConfig.Builder newBuilder(StpApi.AntennasConfig prototype)

    - #### toBuilder

          public StpApi.AntennasConfig.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.AntennasConfig.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`